﻿@* New comment for source code production by Rahmat 2014-09-22 *@
<table>
    <tr>
        <td>
         @Html.DevExpress().TextBox(txt=> 
                    {
                        txt.Name = "txtcontrol"; 
                        txt.ClientVisible = false;
                    }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtid";
                        txt.ClientVisible = false;
                    }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
        Supplier Code
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtsupcode";
                        txt.Properties.MaxLength = 6;
                    }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
        Supplier Plant
        </td>    
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtsupplant";
                        txt.Properties.MaxLength = 1;
                    }).GetHtml()
        </td>
    </tr>
    <tr>   
        <td>
        Shipping Dock
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtshippingdock";
                        txt.Properties.MaxLength = 3;
                    }).GetHtml()
        </td>
    </tr>
    <tr> 
        <td>
        Company
        </td>  
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtcompanycode"; 
                        txt.Properties.MaxLength = 4;
                    }).GetHtml()
        </td>
    </tr>
    <tr>   
        <td>
        Rcv plant code
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtrcv";
                        txt.Properties.MaxLength = 1;
                    }).GetHtml()
        </td>
    </tr>
    
    <tr>   
        <td>
        Dock code
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtdock";
                        txt.Properties.MaxLength = 2;
                    }).GetHtml()
        </td>
    </tr>
    <tr>   
        <td>
        Part number
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtpartno";
                        txt.Properties.MaxLength = 12;
                    }).GetHtml()
        </td>
    </tr>
    <tr>  
        <td>
        Pallete type
        </td> 
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txttype";
                        txt.Properties.MaxLength = 50;
                    }).GetHtml()
        </td>
    </tr>
    <tr>   
        <td>
        Pallete lenght
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtlenght";
                        txt.Properties.ClientSideEvents.KeyPress = "IsNumeric";
                        txt.Properties.MaxLength = 13;
                    }).GetHtml()
        </td>
    </tr>
    <tr>   
        <td>
        Pallete width
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtwidth";
                        txt.Properties.ClientSideEvents.KeyPress = "IsNumeric";
                        txt.Properties.MaxLength = 13;
                    }).GetHtml()
        </td>
    </tr>
    <tr>   
        <td>
        Pallete height
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtheight";
                        txt.Properties.ClientSideEvents.KeyPress = "IsNumeric";
                        txt.Properties.MaxLength = 13;
                    }).GetHtml()
        </td>
    </tr>
    <tr>   
        <td>
        Pallete volume
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtvolume";
                        txt.Properties.ClientSideEvents.KeyPress = "IsNumeric";
                        txt.Properties.MaxLength = 18;
                    }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
             @Html.DevExpress().Button(btn=>
                    {
                        btn.Name = "btndeletepacking";
                        btn.Text = "Delete";
                        btn.ClientSideEvents.Click = "OnDeleteSpec";
                    }).GetHtml()
        </td>
        <td >
            <table>
                <tr>
                    <td>
                        @Html.DevExpress().Label(lb=>
                        {
                            lb.Name = "lblspace";
                            lb.Width = System.Web.UI.WebControls.Unit.Pixel(30);
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(btn=>
                        {
                            btn.Name = "btnsave";
                            btn.Text = "Save";
                            btn.ClientSideEvents.Click = "function(s, e) { OnSaveSpec(); }";
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(btn=>
                        {
                            btn.Name = "btncancel";
                            btn.Text = "Cancel";
                            btn.ClientSideEvents.Click = "OnCancelSpec";
                        }).GetHtml()
                    </td>
                </tr>
            </table>
             
             
        </td>
    </tr>
</table>